package schedframe.scheduling.tasks.phases;

import java.util.LinkedList;
import java.util.List;

public class ResourceConsumptionProfile {
	
	protected LinkedList<ResourceConsumption> resourceConsumptionList;
	protected int currentPhase;
	
	public ResourceConsumptionProfile() {
		this.resourceConsumptionList = new LinkedList<ResourceConsumption>();
		this.currentPhase = -1;
	}
	
	public ResourceConsumptionProfile(LinkedList<ResourceConsumption> resourceConsumptionList) {
		this.resourceConsumptionList = resourceConsumptionList;
		this.currentPhase = -1;
	}
	
	public LinkedList<ResourceConsumption> getResourceConsumptionList(){
		return resourceConsumptionList;
	}
	
	public ResourceConsumption getCurrentResourceConsumption(){
		if(currentPhase < resourceConsumptionList.size())
			return resourceConsumptionList.get(currentPhase);
		else 
			return null;
	}

	public int getCurrentPhase() {
		return currentPhase;
	}

	public void setCurrentPhase(int currentPhase) {
		this.currentPhase = currentPhase;
	}
}
